summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 434cd0c)
raw | patch | inline | side by side (parent: 434cd0c)
author | Junio C Hamano <junkio@cox.net> | |
Sat, 16 Sep 2006 20:46:00 +0000 (13:46 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 18 Sep 2006 02:09:12 +0000 (19:09 -0700) |
It depended on specific error messages to detect failure but the
implementation changed and broke the test. This fixes the breakage
minimally.
Signed-off-by: Junio C Hamano <junkio@cox.net>
implementation changed and broke the test. This fixes the breakage
minimally.
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/t1400-update-ref.sh | patch | blob | history |
diff --git a/t/t1400-update-ref.sh b/t/t1400-update-ref.sh
index b3b920edb146c3ad1ed8c795150c162a9e3f0e17..6a917f2ff48661a5d70fdcbcc700cbf659004818 100755 (executable)
--- a/t/t1400-update-ref.sh
+++ b/t/t1400-update-ref.sh
test_expect_success \
"fail to create $n" \
"touch .git/$n_dir
- git-update-ref $n $A >out 2>err
- test "'$? = 1 &&
- test "" = "$(cat out)" &&
- grep "error: unable to resolve reference" err &&
- grep '"$n err"
+ git-update-ref $n $A >out 2>err"'
+ test $? != 0'
rm -f .git/$n_dir out err
test_expect_success \